
# * qddb/TkUtils/src/Makefile.in
# *
# * Copyright (c) 1994 Eric H. Herrin II
# * All rights reserved.
# *
# * Redistribution and use in source and binary forms are permitted
# * provided that the above copyright notice and this paragraph are
# * duplicated in all such forms and that any documentation,
# * advertising materials, and other materials related to such
# * distribution and use acknowledge that the software was developed
# * by Eric H. Herrin II and Raphael Finkel at the University of Kentucky,
# * Department of Computer Science.  The names of the University or the
# * authors may not be used to endorse or promote products derived
# * from this software without specific prior written permission.
# * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
# *


srcdir    = ../..
VPATH     = ../..
CC        = @CC@
INSTALL   = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@

@SET_MAKE@

RANLIB = @RANLIB@

DEFS	  = @DEFS@ @TKINCLUDES@ @TCLINCLUDES@ @XINCLUDES@
LN        = @LN_S@
# LIBS defined below

CFLAGS	  = @CFLAGS@
LDFLAGS	  = -g

prefix 	    = @prefix@
exec_prefix = ${prefix}
bindir	    = ${prefix}/bin
libdir	    = ${prefix}/lib

SHELL = /bin/sh

SRCS = Table_Cmd.c Table_Config.c Table_Display.c Table_Event.c \
	Table_Init.c

OBJS = Table_Cmd.o Table_Config.o Table_Display.o Table_Event.o \
	Table_Init.o

.c.o:
	${CC} -c ${CPPFLAGS} ${DEFS} -I${srcdir}/Headers ${CFLAGS} $<

all: ${srcdir}/libTkTable.a

${srcdir}/libTkTable.a: Makefile ${OBJS}
	ar rcv ${srcdir}/libTkTable.a ${OBJS}
	${RANLIB} ${srcdir}/libTkTable.a

${libdir}/libTkTable.a: ${srcdir}/libTkTable.a
	${INSTALL_DATA} ${srcdir}/libTkTable.a ${libdir}
	${RANLIB} ${libdir}/libTkTable.a

${libdir}/tktable/TableInit.tcl: TableInit.tcl
	${srcdir}/mkdirhier ${libdir}/tktable
	${INSTALL_DATA} TableInit.tcl ${libdir}/tktable

install: ${libdir}/libTkTable.a ${libdir}/tktable/TableInit.tcl
	@echo "All done in `pwd`"

Makefile: Makefile.in ${srcdir}/config.status
	-(cd ${srcdir}; ${SHELL} ./config.status)

TAGS: ${SRCS}
	etags ${SRCS}

checkin: Makefile
	for i in ${SRCS} Makefile.in; do \
		${srcdir}/checkin.sh ${srcdir} $$i; \
	done

clean:
	-rm -f *.o core core.* *\~ ${srcdir}/libTkTable.a

mostlyclean: clean

distclean: clean
	-rm -f Makefile

